package com.gic.haoban.manage.service.service.out.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.MaterialCategoryDTO;
import com.gic.haoban.manage.api.dto.MaterialDTO;
import com.gic.haoban.manage.api.service.MaterialApiService;
import com.gic.haoban.manage.service.service.MaterialCategoryService;
import com.gic.haoban.manage.service.service.MaterialService;

@Service
public class MaterialApiServiceImpl implements MaterialApiService {
	
	@Autowired
	private MaterialCategoryService materialCategoryService;
	
	@Autowired
	private MaterialService materialService;

	@Override
	public boolean hasCategoryNameExsit(String categoryName, String categoryParentId,String categoryId) {
		MaterialCategoryDTO category = materialCategoryService.hasCategoryNameExsit(categoryName,categoryParentId);
		if(category != null){
			if(category.getCategoryId().equals(categoryId)){
				return false;
			}
			else{
				return true;
			}
		}
		return false;
		
	}

	@Override
	public void insertCategory(MaterialCategoryDTO materialCategoryDTO) {
		materialCategoryService.insert(materialCategoryDTO);
		
	}

	@Override
	public List<MaterialCategoryDTO> listCategory(String wxEnterpriseId) {
		return materialCategoryService.listCategory(wxEnterpriseId);
	}

	@Override
	public MaterialCategoryDTO selectMaterialCategoryById(String categoryId) {
		return materialCategoryService.selectMaterialCategoryById(categoryId);
	}

	@Override
	public void editCategory(MaterialCategoryDTO materialCategoryDTO) {
		materialCategoryService.editCategory(materialCategoryDTO);
		
	}

	@Override
	public List<MaterialDTO> listMaterialByCategoryId(String categoryId) {
		return materialService.listMaterialByCategoryId(categoryId);
	}

}
